[B024] 临床研究描述

get
https://connect.zhihuiya.com/synapse/clinical-trial/description
在体验中心中试用

通过临床试验id或者登记号获取临床研究描述

clinical_trial_id 和 register_number 两个参数必须传一个

请求参数

此 API 接口支持的参数列表

名称类型示例描述
clinical_trial_id
string202425a889e52ae802432a8295220e53
临床试验id,通过临床试验检索接口获取
register_number
stringNCT06498986
登记号

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
country
array[ { "country_id": "5a365096-b2a6-31cb-acdf-1de1f5ab3abe", "alpha2_code": "CN", "display_name": [ { "lang": "EN", "name": "China" }, { "lang": "CN", "name": "中国" } ] } ]
国家/地区
country_id
string676de5ba-893a-36bb-8683-c93306aaf769
国家地区ID
alpha2_code
stringUS
国家编码
display_name
array[ { "lang": "EN", "name": "United States" }, { "lang": "CN", "name": "美国" } ]
国家地区名称
lang
stringEN
语言
name
stringRanibizumab (Genentech)
药物、靶点、机构、适应症、国家/地区、字典、作用机制 名称
brief_summary
stringThis phase II clinical study is a study to explore the efficacy and safety of BL-B01D1 in combination with Osimertinib Mesylate Tablets in patients with histologically and/or cytologically confirmed locally advanced or metastatic non-small cell lung cancer.
简述
register_number
stringNCT06498986
登记号
clinical_trial_id
string202425a889e52ae802432a8295220e53
临床试验ID
detailed_description
stringThis phase II clinical study is a study to explore the efficacy and safety of BL-B01D1 in combination with Osimertinib Mesylate Tablets in patients with histologically and/or cytologically confirmed locally advanced or metastatic non-small cell lung cancer.
详情
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "country": [
      {
        "country_id": "676de5ba-893a-36bb-8683-c93306aaf769",
        "alpha2_code": "US",
        "display_name": [
          {
            "lang": "EN",
            "name": "Ranibizumab (Genentech)"
          }
        ]
      }
    ],
    "brief_summary": "This phase II clinical study is a study to explore the efficacy and safety of BL-B01D1 in combination with Osimertinib Mesylate Tablets in patients with histologically and/or cytologically confirmed locally advanced or metastatic non-small cell lung cancer.",
    "register_number": "NCT06498986",
    "clinical_trial_id": "202425a889e52ae802432a8295220e53",
    "detailed_description": "This phase II clinical study is a study to explore the efficacy and safety of BL-B01D1 in combination with Osimertinib Mesylate Tablets in patients with histologically and/or cytologically confirmed locally advanced or metastatic non-small cell lung cancer."
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200001API整体限流错误!
67200002用户调用请求限流限制错误!
67200003申请token的key和secret不正确或者状态错误!
67200004无权限或该接口的套餐已超过系统设置的上限!
67200005账户余额不足,调用失败!
67200006客户端已过期,调用失败!
67200007超过调用额度,调用失败!

HTTP 状态码

状态码描述
0请求成功
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms